package com.bytedance.android.live.base.model.proto;

import X.C07890Uh;
import X.C11100cm;
import X.C24860yy;
import com.bytedance.android.livesdk.comp.api.network.INetworkService;
import com.bytedance.covode.number.Covode;
import java.util.HashMap;

public final class ProtocolBuffersCollector {
    static {
        Covode.recordClassIndex(4779);
    }

    public static void init() {
        HashMap hashMap = new HashMap();
        HashMap hashMap2 = new HashMap();
        new C07890Uh().LIZ(hashMap);
        C24860yy.LIZ();
        C11100cm.LIZ(INetworkService.class).injectProtoDecoders(hashMap);
        C24860yy.LIZ();
        C11100cm.LIZ(INetworkService.class).injectProtoEncoders(hashMap2);
    }
}
